## Imputs:
# Male Strand Male:
# MM1 animal_genetics.gene
# MM2 animal_genetics.gene
# ...
#
# Male Strand Female:
# MF1 animal_genetics.gene
# MF2 animal_genetics.gene
# ...
# 
# Female Strand Male:
# FM1 animal_genetics.gene
# FM2 animal_genetics.gene
# ...
#
# Female Strand Female:
# FF1 animal_genetics.gene
# FF2 animal_genetics.gene
# ...

## Outputs:
# Child Strand Male:
# #M1 animal_genetics.gene
# #M2 animal_genetics.gene
# ...
#
# Child Strand Female:
# #F1 animal_genetics.gene
# #F2 animal_genetics.gene
# ...



## Chouce a random crossover point for father
# Random Number Between 1-31
scoreboard players set $min random 8
scoreboard players set $max random 27
function random:uniform
scoreboard players operation FatherCrossover animal_genetics.genes = $out random
#-tellraw @a ["",{"text":"\n---\nFather Crossover Point: \n"},{"score":{"name":"FatherCrossover","objective":"animal_genetics.genes"}}]

## Split, and swap. 
# AA, BB
# A- -A B- -B
# (F)AB (F)BA
#-tellraw @a ["",{"text":"MM PreCross Geneom: \n"},{"score":{"name":"MM1","objective":"animal_genetics.genes"}},{"score":{"name":"MM2","objective":"animal_genetics.genes"}},{"score":{"name":"MM3","objective":"animal_genetics.genes"}},{"score":{"name":"MM4","objective":"animal_genetics.genes"}},{"score":{"name":"MM5","objective":"animal_genetics.genes"}},{"score":{"name":"MM6","objective":"animal_genetics.genes"}},{"score":{"name":"MM7","objective":"animal_genetics.genes"}},{"score":{"name":"MM8","objective":"animal_genetics.genes"}},{"score":{"name":"MM9","objective":"animal_genetics.genes"}},{"score":{"name":"MM10","objective":"animal_genetics.genes"}},{"score":{"name":"MM11","objective":"animal_genetics.genes"}},{"score":{"name":"MM12","objective":"animal_genetics.genes"}},{"score":{"name":"MM13","objective":"animal_genetics.genes"}},{"score":{"name":"MM14","objective":"animal_genetics.genes"}},{"score":{"name":"MM15","objective":"animal_genetics.genes"}},{"score":{"name":"MM16","objective":"animal_genetics.genes"}},{"score":{"name":"MM17","objective":"animal_genetics.genes"}},{"score":{"name":"MM18","objective":"animal_genetics.genes"}},{"score":{"name":"MM19","objective":"animal_genetics.genes"}},{"score":{"name":"MM20","objective":"animal_genetics.genes"}},{"score":{"name":"MM21","objective":"animal_genetics.genes"}},{"score":{"name":"MM22","objective":"animal_genetics.genes"}},{"score":{"name":"MM23","objective":"animal_genetics.genes"}},{"score":{"name":"MM24","objective":"animal_genetics.genes"}},{"score":{"name":"MM25","objective":"animal_genetics.genes"}},{"score":{"name":"MM26","objective":"animal_genetics.genes"}},{"text":"-"},{"score":{"name":"MM27","objective":"animal_genetics.genes"}},{"score":{"name":"MM28","objective":"animal_genetics.genes"}},{"score":{"name":"MM29","objective":"animal_genetics.genes"}},{"score":{"name":"MM30","objective":"animal_genetics.genes"}},{"score":{"name":"MM31","objective":"animal_genetics.genes"}}]
#-tellraw @a ["",{"text":"MF PreCross Geneom: \n"},{"score":{"name":"MF1","objective":"animal_genetics.genes"}},{"score":{"name":"MF2","objective":"animal_genetics.genes"}},{"score":{"name":"MF3","objective":"animal_genetics.genes"}},{"score":{"name":"MF4","objective":"animal_genetics.genes"}},{"score":{"name":"MF5","objective":"animal_genetics.genes"}},{"score":{"name":"MF6","objective":"animal_genetics.genes"}},{"score":{"name":"MF7","objective":"animal_genetics.genes"}},{"score":{"name":"MF8","objective":"animal_genetics.genes"}},{"score":{"name":"MF9","objective":"animal_genetics.genes"}},{"score":{"name":"MF10","objective":"animal_genetics.genes"}},{"score":{"name":"MF11","objective":"animal_genetics.genes"}},{"score":{"name":"MF12","objective":"animal_genetics.genes"}},{"score":{"name":"MF13","objective":"animal_genetics.genes"}},{"score":{"name":"MF14","objective":"animal_genetics.genes"}},{"score":{"name":"MF15","objective":"animal_genetics.genes"}},{"score":{"name":"MF16","objective":"animal_genetics.genes"}},{"score":{"name":"MF17","objective":"animal_genetics.genes"}},{"score":{"name":"MF18","objective":"animal_genetics.genes"}},{"score":{"name":"MF19","objective":"animal_genetics.genes"}},{"score":{"name":"MF20","objective":"animal_genetics.genes"}},{"score":{"name":"MF21","objective":"animal_genetics.genes"}},{"score":{"name":"MF22","objective":"animal_genetics.genes"}},{"score":{"name":"MF23","objective":"animal_genetics.genes"}},{"score":{"name":"MF24","objective":"animal_genetics.genes"}},{"score":{"name":"MF25","objective":"animal_genetics.genes"}},{"score":{"name":"MF26","objective":"animal_genetics.genes"}},{"text":"-"},{"score":{"name":"MF27","objective":"animal_genetics.genes"}},{"score":{"name":"MF28","objective":"animal_genetics.genes"}},{"score":{"name":"MF29","objective":"animal_genetics.genes"}},{"score":{"name":"MF30","objective":"animal_genetics.genes"}},{"score":{"name":"MF31","objective":"animal_genetics.genes"}}]

execute if score FatherCrossover animal_genetics.genes matches 1.. run scoreboard players operation T animal_genetics.genes = MM1 animal_genetics.genes
execute if score FatherCrossover animal_genetics.genes matches 1.. run scoreboard players operation MM1 animal_genetics.genes = MF1 animal_genetics.genes
execute if score FatherCrossover animal_genetics.genes matches 1.. run scoreboard players operation MF1 animal_genetics.genes = T animal_genetics.genes

execute if score FatherCrossover animal_genetics.genes matches 2.. run scoreboard players operation T animal_genetics.genes = MM2 animal_genetics.genes
execute if score FatherCrossover animal_genetics.genes matches 2.. run scoreboard players operation MM2 animal_genetics.genes = MF2 animal_genetics.genes
execute if score FatherCrossover animal_genetics.genes matches 2.. run scoreboard players operation MF2 animal_genetics.genes = T animal_genetics.genes

execute if score FatherCrossover animal_genetics.genes matches 3.. run scoreboard players operation T animal_genetics.genes = MM3 animal_genetics.genes
execute if score FatherCrossover animal_genetics.genes matches 3.. run scoreboard players operation MM3 animal_genetics.genes = MF3 animal_genetics.genes
execute if score FatherCrossover animal_genetics.genes matches 3.. run scoreboard players operation MF3 animal_genetics.genes = T animal_genetics.genes

execute if score FatherCrossover animal_genetics.genes matches 4.. run scoreboard players operation T animal_genetics.genes = MM4 animal_genetics.genes
execute if score FatherCrossover animal_genetics.genes matches 4.. run scoreboard players operation MM4 animal_genetics.genes = MF4 animal_genetics.genes
execute if score FatherCrossover animal_genetics.genes matches 4.. run scoreboard players operation MF4 animal_genetics.genes = T animal_genetics.genes

execute if score FatherCrossover animal_genetics.genes matches 5.. run scoreboard players operation T animal_genetics.genes = MM5 animal_genetics.genes
execute if score FatherCrossover animal_genetics.genes matches 5.. run scoreboard players operation MM5 animal_genetics.genes = MF5 animal_genetics.genes
execute if score FatherCrossover animal_genetics.genes matches 5.. run scoreboard players operation MF5 animal_genetics.genes = T animal_genetics.genes

execute if score FatherCrossover animal_genetics.genes matches 6.. run scoreboard players operation T animal_genetics.genes = MM6 animal_genetics.genes
execute if score FatherCrossover animal_genetics.genes matches 6.. run scoreboard players operation MM6 animal_genetics.genes = MF6 animal_genetics.genes
execute if score FatherCrossover animal_genetics.genes matches 6.. run scoreboard players operation MF6 animal_genetics.genes = T animal_genetics.genes

execute if score FatherCrossover animal_genetics.genes matches 7.. run scoreboard players operation T animal_genetics.genes = MM7 animal_genetics.genes
execute if score FatherCrossover animal_genetics.genes matches 7.. run scoreboard players operation MM7 animal_genetics.genes = MF7 animal_genetics.genes
execute if score FatherCrossover animal_genetics.genes matches 7.. run scoreboard players operation MF7 animal_genetics.genes = T animal_genetics.genes

execute if score FatherCrossover animal_genetics.genes matches 8.. run scoreboard players operation T animal_genetics.genes = MM8 animal_genetics.genes
execute if score FatherCrossover animal_genetics.genes matches 8.. run scoreboard players operation MM8 animal_genetics.genes = MF8 animal_genetics.genes
execute if score FatherCrossover animal_genetics.genes matches 8.. run scoreboard players operation MF8 animal_genetics.genes = T animal_genetics.genes

execute if score FatherCrossover animal_genetics.genes matches 9.. run scoreboard players operation T animal_genetics.genes = MM9 animal_genetics.genes
execute if score FatherCrossover animal_genetics.genes matches 9.. run scoreboard players operation MM9 animal_genetics.genes = MF9 animal_genetics.genes
execute if score FatherCrossover animal_genetics.genes matches 9.. run scoreboard players operation MF9 animal_genetics.genes = T animal_genetics.genes

execute if score FatherCrossover animal_genetics.genes matches 10.. run scoreboard players operation T animal_genetics.genes = MM10 animal_genetics.genes
execute if score FatherCrossover animal_genetics.genes matches 10.. run scoreboard players operation MM10 animal_genetics.genes = MF10 animal_genetics.genes
execute if score FatherCrossover animal_genetics.genes matches 10.. run scoreboard players operation MF10 animal_genetics.genes = T animal_genetics.genes

execute if score FatherCrossover animal_genetics.genes matches 11.. run scoreboard players operation T animal_genetics.genes = MM11 animal_genetics.genes
execute if score FatherCrossover animal_genetics.genes matches 11.. run scoreboard players operation MM11 animal_genetics.genes = MF11 animal_genetics.genes
execute if score FatherCrossover animal_genetics.genes matches 11.. run scoreboard players operation MF11 animal_genetics.genes = T animal_genetics.genes

execute if score FatherCrossover animal_genetics.genes matches 12.. run scoreboard players operation T animal_genetics.genes = MM12 animal_genetics.genes
execute if score FatherCrossover animal_genetics.genes matches 12.. run scoreboard players operation MM12 animal_genetics.genes = MF12 animal_genetics.genes
execute if score FatherCrossover animal_genetics.genes matches 12.. run scoreboard players operation MF12 animal_genetics.genes = T animal_genetics.genes

execute if score FatherCrossover animal_genetics.genes matches 13.. run scoreboard players operation T animal_genetics.genes = MM13 animal_genetics.genes
execute if score FatherCrossover animal_genetics.genes matches 13.. run scoreboard players operation MM13 animal_genetics.genes = MF13 animal_genetics.genes
execute if score FatherCrossover animal_genetics.genes matches 13.. run scoreboard players operation MF13 animal_genetics.genes = T animal_genetics.genes

execute if score FatherCrossover animal_genetics.genes matches 14.. run scoreboard players operation T animal_genetics.genes = MM14 animal_genetics.genes
execute if score FatherCrossover animal_genetics.genes matches 14.. run scoreboard players operation MM14 animal_genetics.genes = MF14 animal_genetics.genes
execute if score FatherCrossover animal_genetics.genes matches 14.. run scoreboard players operation MF14 animal_genetics.genes = T animal_genetics.genes

execute if score FatherCrossover animal_genetics.genes matches 15.. run scoreboard players operation T animal_genetics.genes = MM15 animal_genetics.genes
execute if score FatherCrossover animal_genetics.genes matches 15.. run scoreboard players operation MM15 animal_genetics.genes = MF15 animal_genetics.genes
execute if score FatherCrossover animal_genetics.genes matches 15.. run scoreboard players operation MF15 animal_genetics.genes = T animal_genetics.genes

execute if score FatherCrossover animal_genetics.genes matches 16.. run scoreboard players operation T animal_genetics.genes = MM16 animal_genetics.genes
execute if score FatherCrossover animal_genetics.genes matches 16.. run scoreboard players operation MM16 animal_genetics.genes = MF16 animal_genetics.genes
execute if score FatherCrossover animal_genetics.genes matches 16.. run scoreboard players operation MF16 animal_genetics.genes = T animal_genetics.genes

execute if score FatherCrossover animal_genetics.genes matches 17.. run scoreboard players operation T animal_genetics.genes = MM17 animal_genetics.genes
execute if score FatherCrossover animal_genetics.genes matches 17.. run scoreboard players operation MM17 animal_genetics.genes = MF17 animal_genetics.genes
execute if score FatherCrossover animal_genetics.genes matches 17.. run scoreboard players operation MF17 animal_genetics.genes = T animal_genetics.genes

execute if score FatherCrossover animal_genetics.genes matches 18.. run scoreboard players operation T animal_genetics.genes = MM18 animal_genetics.genes
execute if score FatherCrossover animal_genetics.genes matches 18.. run scoreboard players operation MM18 animal_genetics.genes = MF18 animal_genetics.genes
execute if score FatherCrossover animal_genetics.genes matches 18.. run scoreboard players operation MF18 animal_genetics.genes = T animal_genetics.genes

execute if score FatherCrossover animal_genetics.genes matches 19.. run scoreboard players operation T animal_genetics.genes = MM19 animal_genetics.genes
execute if score FatherCrossover animal_genetics.genes matches 19.. run scoreboard players operation MM19 animal_genetics.genes = MF19 animal_genetics.genes
execute if score FatherCrossover animal_genetics.genes matches 19.. run scoreboard players operation MF19 animal_genetics.genes = T animal_genetics.genes

execute if score FatherCrossover animal_genetics.genes matches 20.. run scoreboard players operation T animal_genetics.genes = MM20 animal_genetics.genes
execute if score FatherCrossover animal_genetics.genes matches 20.. run scoreboard players operation MM20 animal_genetics.genes = MF20 animal_genetics.genes
execute if score FatherCrossover animal_genetics.genes matches 20.. run scoreboard players operation MF20 animal_genetics.genes = T animal_genetics.genes

execute if score FatherCrossover animal_genetics.genes matches 21.. run scoreboard players operation T animal_genetics.genes = MM21 animal_genetics.genes
execute if score FatherCrossover animal_genetics.genes matches 21.. run scoreboard players operation MM21 animal_genetics.genes = MF21 animal_genetics.genes
execute if score FatherCrossover animal_genetics.genes matches 21.. run scoreboard players operation MF21 animal_genetics.genes = T animal_genetics.genes

execute if score FatherCrossover animal_genetics.genes matches 22.. run scoreboard players operation T animal_genetics.genes = MM22 animal_genetics.genes
execute if score FatherCrossover animal_genetics.genes matches 22.. run scoreboard players operation MM22 animal_genetics.genes = MF22 animal_genetics.genes
execute if score FatherCrossover animal_genetics.genes matches 22.. run scoreboard players operation MF22 animal_genetics.genes = T animal_genetics.genes

execute if score FatherCrossover animal_genetics.genes matches 23.. run scoreboard players operation T animal_genetics.genes = MM23 animal_genetics.genes
execute if score FatherCrossover animal_genetics.genes matches 23.. run scoreboard players operation MM23 animal_genetics.genes = MF23 animal_genetics.genes
execute if score FatherCrossover animal_genetics.genes matches 23.. run scoreboard players operation MF23 animal_genetics.genes = T animal_genetics.genes

execute if score FatherCrossover animal_genetics.genes matches 24.. run scoreboard players operation T animal_genetics.genes = MM24 animal_genetics.genes
execute if score FatherCrossover animal_genetics.genes matches 24.. run scoreboard players operation MM24 animal_genetics.genes = MF24 animal_genetics.genes
execute if score FatherCrossover animal_genetics.genes matches 24.. run scoreboard players operation MF24 animal_genetics.genes = T animal_genetics.genes

execute if score FatherCrossover animal_genetics.genes matches 25.. run scoreboard players operation T animal_genetics.genes = MM25 animal_genetics.genes
execute if score FatherCrossover animal_genetics.genes matches 25.. run scoreboard players operation MM25 animal_genetics.genes = MF25 animal_genetics.genes
execute if score FatherCrossover animal_genetics.genes matches 25.. run scoreboard players operation MF25 animal_genetics.genes = T animal_genetics.genes

execute if score FatherCrossover animal_genetics.genes matches 26.. run scoreboard players operation T animal_genetics.genes = MM26 animal_genetics.genes
execute if score FatherCrossover animal_genetics.genes matches 26.. run scoreboard players operation MM26 animal_genetics.genes = MF26 animal_genetics.genes
execute if score FatherCrossover animal_genetics.genes matches 26.. run scoreboard players operation MF26 animal_genetics.genes = T animal_genetics.genes

execute if score FatherCrossover animal_genetics.genes matches 27.. run scoreboard players operation T animal_genetics.genes = MM27 animal_genetics.genes
execute if score FatherCrossover animal_genetics.genes matches 27.. run scoreboard players operation MM27 animal_genetics.genes = MF27 animal_genetics.genes
execute if score FatherCrossover animal_genetics.genes matches 27.. run scoreboard players operation MF27 animal_genetics.genes = T animal_genetics.genes

execute if score FatherCrossover animal_genetics.genes matches 28.. run scoreboard players operation T animal_genetics.genes = MM28 animal_genetics.genes
execute if score FatherCrossover animal_genetics.genes matches 28.. run scoreboard players operation MM28 animal_genetics.genes = MF28 animal_genetics.genes
execute if score FatherCrossover animal_genetics.genes matches 28.. run scoreboard players operation MF28 animal_genetics.genes = T animal_genetics.genes

execute if score FatherCrossover animal_genetics.genes matches 29.. run scoreboard players operation T animal_genetics.genes = MM29 animal_genetics.genes
execute if score FatherCrossover animal_genetics.genes matches 29.. run scoreboard players operation MM29 animal_genetics.genes = MF29 animal_genetics.genes
execute if score FatherCrossover animal_genetics.genes matches 29.. run scoreboard players operation MF29 animal_genetics.genes = T animal_genetics.genes

execute if score FatherCrossover animal_genetics.genes matches 30.. run scoreboard players operation T animal_genetics.genes = MM30 animal_genetics.genes
execute if score FatherCrossover animal_genetics.genes matches 30.. run scoreboard players operation MM30 animal_genetics.genes = MF30 animal_genetics.genes
execute if score FatherCrossover animal_genetics.genes matches 30.. run scoreboard players operation MF30 animal_genetics.genes = T animal_genetics.genes

execute if score FatherCrossover animal_genetics.genes matches 31.. run scoreboard players operation T animal_genetics.genes = MM31 animal_genetics.genes
execute if score FatherCrossover animal_genetics.genes matches 31.. run scoreboard players operation MM31 animal_genetics.genes = MF31 animal_genetics.genes
execute if score FatherCrossover animal_genetics.genes matches 31.. run scoreboard players operation MF31 animal_genetics.genes = T animal_genetics.genes

#-tellraw @a ["",{"text":"\nMM AfterCross Geneom: \n"},{"score":{"name":"MM1","objective":"animal_genetics.genes"}},{"score":{"name":"MM2","objective":"animal_genetics.genes"}},{"score":{"name":"MM3","objective":"animal_genetics.genes"}},{"score":{"name":"MM4","objective":"animal_genetics.genes"}},{"score":{"name":"MM5","objective":"animal_genetics.genes"}},{"score":{"name":"MM6","objective":"animal_genetics.genes"}},{"score":{"name":"MM7","objective":"animal_genetics.genes"}},{"score":{"name":"MM8","objective":"animal_genetics.genes"}},{"score":{"name":"MM9","objective":"animal_genetics.genes"}},{"score":{"name":"MM10","objective":"animal_genetics.genes"}},{"score":{"name":"MM11","objective":"animal_genetics.genes"}},{"score":{"name":"MM12","objective":"animal_genetics.genes"}},{"score":{"name":"MM13","objective":"animal_genetics.genes"}},{"score":{"name":"MM14","objective":"animal_genetics.genes"}},{"score":{"name":"MM15","objective":"animal_genetics.genes"}},{"score":{"name":"MM16","objective":"animal_genetics.genes"}},{"score":{"name":"MM17","objective":"animal_genetics.genes"}},{"score":{"name":"MM18","objective":"animal_genetics.genes"}},{"score":{"name":"MM19","objective":"animal_genetics.genes"}},{"score":{"name":"MM20","objective":"animal_genetics.genes"}},{"score":{"name":"MM21","objective":"animal_genetics.genes"}},{"score":{"name":"MM22","objective":"animal_genetics.genes"}},{"score":{"name":"MM23","objective":"animal_genetics.genes"}},{"score":{"name":"MM24","objective":"animal_genetics.genes"}},{"score":{"name":"MM25","objective":"animal_genetics.genes"}},{"score":{"name":"MM26","objective":"animal_genetics.genes"}},{"text":"-"},{"score":{"name":"MM27","objective":"animal_genetics.genes"}},{"score":{"name":"MM28","objective":"animal_genetics.genes"}},{"score":{"name":"MM29","objective":"animal_genetics.genes"}},{"score":{"name":"MM30","objective":"animal_genetics.genes"}},{"score":{"name":"MM31","objective":"animal_genetics.genes"}}]
#-tellraw @a ["",{"text":"MF AfterCross Geneom: \n"},{"score":{"name":"MF1","objective":"animal_genetics.genes"}},{"score":{"name":"MF2","objective":"animal_genetics.genes"}},{"score":{"name":"MF3","objective":"animal_genetics.genes"}},{"score":{"name":"MF4","objective":"animal_genetics.genes"}},{"score":{"name":"MF5","objective":"animal_genetics.genes"}},{"score":{"name":"MF6","objective":"animal_genetics.genes"}},{"score":{"name":"MF7","objective":"animal_genetics.genes"}},{"score":{"name":"MF8","objective":"animal_genetics.genes"}},{"score":{"name":"MF9","objective":"animal_genetics.genes"}},{"score":{"name":"MF10","objective":"animal_genetics.genes"}},{"score":{"name":"MF11","objective":"animal_genetics.genes"}},{"score":{"name":"MF12","objective":"animal_genetics.genes"}},{"score":{"name":"MF13","objective":"animal_genetics.genes"}},{"score":{"name":"MF14","objective":"animal_genetics.genes"}},{"score":{"name":"MF15","objective":"animal_genetics.genes"}},{"score":{"name":"MF16","objective":"animal_genetics.genes"}},{"score":{"name":"MF17","objective":"animal_genetics.genes"}},{"score":{"name":"MF18","objective":"animal_genetics.genes"}},{"score":{"name":"MF19","objective":"animal_genetics.genes"}},{"score":{"name":"MF20","objective":"animal_genetics.genes"}},{"score":{"name":"MF21","objective":"animal_genetics.genes"}},{"score":{"name":"MF22","objective":"animal_genetics.genes"}},{"score":{"name":"MF23","objective":"animal_genetics.genes"}},{"score":{"name":"MF24","objective":"animal_genetics.genes"}},{"score":{"name":"MF25","objective":"animal_genetics.genes"}},{"score":{"name":"MF26","objective":"animal_genetics.genes"}},{"text":"-"},{"score":{"name":"MF27","objective":"animal_genetics.genes"}},{"score":{"name":"MF28","objective":"animal_genetics.genes"}},{"score":{"name":"MF29","objective":"animal_genetics.genes"}},{"score":{"name":"MF30","objective":"animal_genetics.genes"}},{"score":{"name":"MF31","objective":"animal_genetics.genes"}}]

## Chouce a random crossover point for mother
# Random Number Between 1-31
scoreboard players set $min random 6
scoreboard players set $max random 24
function random:uniform
scoreboard players operation MotherCrossover animal_genetics.genes = $out random
#-tellraw @a ["",{"text":"\n---\nMother Crossover Point: \n"},{"score":{"name":"MotherCrossover","objective":"animal_genetics.genes"}}]




## Split, and swap. 
# AA, BB
# A- -A B- -B
# (M)AB (M)BA

#-tellraw @a ["",{"text":"FM PreCross Geneom: \n"},{"score":{"name":"FM1","objective":"animal_genetics.genes"}},{"score":{"name":"FM2","objective":"animal_genetics.genes"}},{"score":{"name":"FM3","objective":"animal_genetics.genes"}},{"score":{"name":"FM4","objective":"animal_genetics.genes"}},{"score":{"name":"FM5","objective":"animal_genetics.genes"}},{"score":{"name":"FM6","objective":"animal_genetics.genes"}},{"score":{"name":"FM7","objective":"animal_genetics.genes"}},{"score":{"name":"FM8","objective":"animal_genetics.genes"}},{"score":{"name":"FM9","objective":"animal_genetics.genes"}},{"score":{"name":"FM10","objective":"animal_genetics.genes"}},{"score":{"name":"FM11","objective":"animal_genetics.genes"}},{"score":{"name":"FM12","objective":"animal_genetics.genes"}},{"score":{"name":"FM13","objective":"animal_genetics.genes"}},{"score":{"name":"FM14","objective":"animal_genetics.genes"}},{"score":{"name":"FM15","objective":"animal_genetics.genes"}},{"score":{"name":"FM16","objective":"animal_genetics.genes"}},{"score":{"name":"FM17","objective":"animal_genetics.genes"}},{"score":{"name":"FM18","objective":"animal_genetics.genes"}},{"score":{"name":"FM19","objective":"animal_genetics.genes"}},{"score":{"name":"FM20","objective":"animal_genetics.genes"}},{"score":{"name":"FM21","objective":"animal_genetics.genes"}},{"score":{"name":"FM22","objective":"animal_genetics.genes"}},{"score":{"name":"FM23","objective":"animal_genetics.genes"}},{"score":{"name":"FM24","objective":"animal_genetics.genes"}},{"score":{"name":"FM25","objective":"animal_genetics.genes"}},{"score":{"name":"FM26","objective":"animal_genetics.genes"}},{"text":"-"},{"score":{"name":"FM27","objective":"animal_genetics.genes"}},{"score":{"name":"FM28","objective":"animal_genetics.genes"}},{"score":{"name":"FM29","objective":"animal_genetics.genes"}},{"score":{"name":"FM30","objective":"animal_genetics.genes"}},{"score":{"name":"FM31","objective":"animal_genetics.genes"}}]
#-tellraw @a ["",{"text":"FF PreCross Geneom: \n"},{"score":{"name":"FF1","objective":"animal_genetics.genes"}},{"score":{"name":"FF2","objective":"animal_genetics.genes"}},{"score":{"name":"FF3","objective":"animal_genetics.genes"}},{"score":{"name":"FF4","objective":"animal_genetics.genes"}},{"score":{"name":"FF5","objective":"animal_genetics.genes"}},{"score":{"name":"FF6","objective":"animal_genetics.genes"}},{"score":{"name":"FF7","objective":"animal_genetics.genes"}},{"score":{"name":"FF8","objective":"animal_genetics.genes"}},{"score":{"name":"FF9","objective":"animal_genetics.genes"}},{"score":{"name":"FF10","objective":"animal_genetics.genes"}},{"score":{"name":"FF11","objective":"animal_genetics.genes"}},{"score":{"name":"FF12","objective":"animal_genetics.genes"}},{"score":{"name":"FF13","objective":"animal_genetics.genes"}},{"score":{"name":"FF14","objective":"animal_genetics.genes"}},{"score":{"name":"FF15","objective":"animal_genetics.genes"}},{"score":{"name":"FF16","objective":"animal_genetics.genes"}},{"score":{"name":"FF17","objective":"animal_genetics.genes"}},{"score":{"name":"FF18","objective":"animal_genetics.genes"}},{"score":{"name":"FF19","objective":"animal_genetics.genes"}},{"score":{"name":"FF20","objective":"animal_genetics.genes"}},{"score":{"name":"FF21","objective":"animal_genetics.genes"}},{"score":{"name":"FF22","objective":"animal_genetics.genes"}},{"score":{"name":"FF23","objective":"animal_genetics.genes"}},{"score":{"name":"FF24","objective":"animal_genetics.genes"}},{"score":{"name":"FF25","objective":"animal_genetics.genes"}},{"score":{"name":"FF26","objective":"animal_genetics.genes"}},{"text":"-"},{"score":{"name":"FF27","objective":"animal_genetics.genes"}},{"score":{"name":"FF28","objective":"animal_genetics.genes"}},{"score":{"name":"FF29","objective":"animal_genetics.genes"}},{"score":{"name":"FF30","objective":"animal_genetics.genes"}},{"score":{"name":"FF31","objective":"animal_genetics.genes"}}]

execute if score MotherCrossover animal_genetics.genes matches 1.. run scoreboard players operation T animal_genetics.genes = FM1 animal_genetics.genes
execute if score MotherCrossover animal_genetics.genes matches 1.. run scoreboard players operation FM1 animal_genetics.genes = FF1 animal_genetics.genes
execute if score MotherCrossover animal_genetics.genes matches 1.. run scoreboard players operation FF1 animal_genetics.genes = T animal_genetics.genes

execute if score MotherCrossover animal_genetics.genes matches 2.. run scoreboard players operation T animal_genetics.genes = FM2 animal_genetics.genes
execute if score MotherCrossover animal_genetics.genes matches 2.. run scoreboard players operation FM2 animal_genetics.genes = FF2 animal_genetics.genes
execute if score MotherCrossover animal_genetics.genes matches 2.. run scoreboard players operation FF2 animal_genetics.genes = T animal_genetics.genes

execute if score MotherCrossover animal_genetics.genes matches 3.. run scoreboard players operation T animal_genetics.genes = FM3 animal_genetics.genes
execute if score MotherCrossover animal_genetics.genes matches 3.. run scoreboard players operation FM3 animal_genetics.genes = FF3 animal_genetics.genes
execute if score MotherCrossover animal_genetics.genes matches 3.. run scoreboard players operation FF3 animal_genetics.genes = T animal_genetics.genes

execute if score MotherCrossover animal_genetics.genes matches 4.. run scoreboard players operation T animal_genetics.genes = FM4 animal_genetics.genes
execute if score MotherCrossover animal_genetics.genes matches 4.. run scoreboard players operation FM4 animal_genetics.genes = FF4 animal_genetics.genes
execute if score MotherCrossover animal_genetics.genes matches 4.. run scoreboard players operation FF4 animal_genetics.genes = T animal_genetics.genes

execute if score MotherCrossover animal_genetics.genes matches 5.. run scoreboard players operation T animal_genetics.genes = FM5 animal_genetics.genes
execute if score MotherCrossover animal_genetics.genes matches 5.. run scoreboard players operation FM5 animal_genetics.genes = FF5 animal_genetics.genes
execute if score MotherCrossover animal_genetics.genes matches 5.. run scoreboard players operation FF5 animal_genetics.genes = T animal_genetics.genes

execute if score MotherCrossover animal_genetics.genes matches 6.. run scoreboard players operation T animal_genetics.genes = FM6 animal_genetics.genes
execute if score MotherCrossover animal_genetics.genes matches 6.. run scoreboard players operation FM6 animal_genetics.genes = FF6 animal_genetics.genes
execute if score MotherCrossover animal_genetics.genes matches 6.. run scoreboard players operation FF6 animal_genetics.genes = T animal_genetics.genes

execute if score MotherCrossover animal_genetics.genes matches 7.. run scoreboard players operation T animal_genetics.genes = FM7 animal_genetics.genes
execute if score MotherCrossover animal_genetics.genes matches 7.. run scoreboard players operation FM7 animal_genetics.genes = FF7 animal_genetics.genes
execute if score MotherCrossover animal_genetics.genes matches 7.. run scoreboard players operation FF7 animal_genetics.genes = T animal_genetics.genes

execute if score MotherCrossover animal_genetics.genes matches 8.. run scoreboard players operation T animal_genetics.genes = FM8 animal_genetics.genes
execute if score MotherCrossover animal_genetics.genes matches 8.. run scoreboard players operation FM8 animal_genetics.genes = FF8 animal_genetics.genes
execute if score MotherCrossover animal_genetics.genes matches 8.. run scoreboard players operation FF8 animal_genetics.genes = T animal_genetics.genes

execute if score MotherCrossover animal_genetics.genes matches 9.. run scoreboard players operation T animal_genetics.genes = FM9 animal_genetics.genes
execute if score MotherCrossover animal_genetics.genes matches 9.. run scoreboard players operation FM9 animal_genetics.genes = FF9 animal_genetics.genes
execute if score MotherCrossover animal_genetics.genes matches 9.. run scoreboard players operation FF9 animal_genetics.genes = T animal_genetics.genes

execute if score MotherCrossover animal_genetics.genes matches 10.. run scoreboard players operation T animal_genetics.genes = FM10 animal_genetics.genes
execute if score MotherCrossover animal_genetics.genes matches 10.. run scoreboard players operation FM10 animal_genetics.genes = FF10 animal_genetics.genes
execute if score MotherCrossover animal_genetics.genes matches 10.. run scoreboard players operation FF10 animal_genetics.genes = T animal_genetics.genes

execute if score MotherCrossover animal_genetics.genes matches 11.. run scoreboard players operation T animal_genetics.genes = FM11 animal_genetics.genes
execute if score MotherCrossover animal_genetics.genes matches 11.. run scoreboard players operation FM11 animal_genetics.genes = FF11 animal_genetics.genes
execute if score MotherCrossover animal_genetics.genes matches 11.. run scoreboard players operation FF11 animal_genetics.genes = T animal_genetics.genes

execute if score MotherCrossover animal_genetics.genes matches 12.. run scoreboard players operation T animal_genetics.genes = FM12 animal_genetics.genes
execute if score MotherCrossover animal_genetics.genes matches 12.. run scoreboard players operation FM12 animal_genetics.genes = FF12 animal_genetics.genes
execute if score MotherCrossover animal_genetics.genes matches 12.. run scoreboard players operation FF12 animal_genetics.genes = T animal_genetics.genes

execute if score MotherCrossover animal_genetics.genes matches 13.. run scoreboard players operation T animal_genetics.genes = FM13 animal_genetics.genes
execute if score MotherCrossover animal_genetics.genes matches 13.. run scoreboard players operation FM13 animal_genetics.genes = FF13 animal_genetics.genes
execute if score MotherCrossover animal_genetics.genes matches 13.. run scoreboard players operation FF13 animal_genetics.genes = T animal_genetics.genes

execute if score MotherCrossover animal_genetics.genes matches 14.. run scoreboard players operation T animal_genetics.genes = FM14 animal_genetics.genes
execute if score MotherCrossover animal_genetics.genes matches 14.. run scoreboard players operation FM14 animal_genetics.genes = FF14 animal_genetics.genes
execute if score MotherCrossover animal_genetics.genes matches 14.. run scoreboard players operation FF14 animal_genetics.genes = T animal_genetics.genes

execute if score MotherCrossover animal_genetics.genes matches 15.. run scoreboard players operation T animal_genetics.genes = FM15 animal_genetics.genes
execute if score MotherCrossover animal_genetics.genes matches 15.. run scoreboard players operation FM15 animal_genetics.genes = FF15 animal_genetics.genes
execute if score MotherCrossover animal_genetics.genes matches 15.. run scoreboard players operation FF15 animal_genetics.genes = T animal_genetics.genes

execute if score MotherCrossover animal_genetics.genes matches 16.. run scoreboard players operation T animal_genetics.genes = FM16 animal_genetics.genes
execute if score MotherCrossover animal_genetics.genes matches 16.. run scoreboard players operation FM16 animal_genetics.genes = FF16 animal_genetics.genes
execute if score MotherCrossover animal_genetics.genes matches 16.. run scoreboard players operation FF16 animal_genetics.genes = T animal_genetics.genes

execute if score MotherCrossover animal_genetics.genes matches 17.. run scoreboard players operation T animal_genetics.genes = FM17 animal_genetics.genes
execute if score MotherCrossover animal_genetics.genes matches 17.. run scoreboard players operation FM17 animal_genetics.genes = FF17 animal_genetics.genes
execute if score MotherCrossover animal_genetics.genes matches 17.. run scoreboard players operation FF17 animal_genetics.genes = T animal_genetics.genes

execute if score MotherCrossover animal_genetics.genes matches 18.. run scoreboard players operation T animal_genetics.genes = FM18 animal_genetics.genes
execute if score MotherCrossover animal_genetics.genes matches 18.. run scoreboard players operation FM18 animal_genetics.genes = FF18 animal_genetics.genes
execute if score MotherCrossover animal_genetics.genes matches 18.. run scoreboard players operation FF18 animal_genetics.genes = T animal_genetics.genes

execute if score MotherCrossover animal_genetics.genes matches 19.. run scoreboard players operation T animal_genetics.genes = FM19 animal_genetics.genes
execute if score MotherCrossover animal_genetics.genes matches 19.. run scoreboard players operation FM19 animal_genetics.genes = FF19 animal_genetics.genes
execute if score MotherCrossover animal_genetics.genes matches 19.. run scoreboard players operation FF19 animal_genetics.genes = T animal_genetics.genes

execute if score MotherCrossover animal_genetics.genes matches 20.. run scoreboard players operation T animal_genetics.genes = FM20 animal_genetics.genes
execute if score MotherCrossover animal_genetics.genes matches 20.. run scoreboard players operation FM20 animal_genetics.genes = FF20 animal_genetics.genes
execute if score MotherCrossover animal_genetics.genes matches 20.. run scoreboard players operation FF20 animal_genetics.genes = T animal_genetics.genes

execute if score MotherCrossover animal_genetics.genes matches 21.. run scoreboard players operation T animal_genetics.genes = FM21 animal_genetics.genes
execute if score MotherCrossover animal_genetics.genes matches 21.. run scoreboard players operation FM21 animal_genetics.genes = FF21 animal_genetics.genes
execute if score MotherCrossover animal_genetics.genes matches 21.. run scoreboard players operation FF21 animal_genetics.genes = T animal_genetics.genes

execute if score MotherCrossover animal_genetics.genes matches 22.. run scoreboard players operation T animal_genetics.genes = FM22 animal_genetics.genes
execute if score MotherCrossover animal_genetics.genes matches 22.. run scoreboard players operation FM22 animal_genetics.genes = FF22 animal_genetics.genes
execute if score MotherCrossover animal_genetics.genes matches 22.. run scoreboard players operation FF22 animal_genetics.genes = T animal_genetics.genes

execute if score MotherCrossover animal_genetics.genes matches 23.. run scoreboard players operation T animal_genetics.genes = FM23 animal_genetics.genes
execute if score MotherCrossover animal_genetics.genes matches 23.. run scoreboard players operation FM23 animal_genetics.genes = FF23 animal_genetics.genes
execute if score MotherCrossover animal_genetics.genes matches 23.. run scoreboard players operation FF23 animal_genetics.genes = T animal_genetics.genes

execute if score MotherCrossover animal_genetics.genes matches 24.. run scoreboard players operation T animal_genetics.genes = FM24 animal_genetics.genes
execute if score MotherCrossover animal_genetics.genes matches 24.. run scoreboard players operation FM24 animal_genetics.genes = FF24 animal_genetics.genes
execute if score MotherCrossover animal_genetics.genes matches 24.. run scoreboard players operation FF24 animal_genetics.genes = T animal_genetics.genes

execute if score MotherCrossover animal_genetics.genes matches 25.. run scoreboard players operation T animal_genetics.genes = FM25 animal_genetics.genes
execute if score MotherCrossover animal_genetics.genes matches 25.. run scoreboard players operation FM25 animal_genetics.genes = FF25 animal_genetics.genes
execute if score MotherCrossover animal_genetics.genes matches 25.. run scoreboard players operation FF25 animal_genetics.genes = T animal_genetics.genes

execute if score MotherCrossover animal_genetics.genes matches 26.. run scoreboard players operation T animal_genetics.genes = FM26 animal_genetics.genes
execute if score MotherCrossover animal_genetics.genes matches 26.. run scoreboard players operation FM26 animal_genetics.genes = FF26 animal_genetics.genes
execute if score MotherCrossover animal_genetics.genes matches 26.. run scoreboard players operation FF26 animal_genetics.genes = T animal_genetics.genes

execute if score MotherCrossover animal_genetics.genes matches 27.. run scoreboard players operation T animal_genetics.genes = FM27 animal_genetics.genes
execute if score MotherCrossover animal_genetics.genes matches 27.. run scoreboard players operation FM27 animal_genetics.genes = FF27 animal_genetics.genes
execute if score MotherCrossover animal_genetics.genes matches 27.. run scoreboard players operation FF27 animal_genetics.genes = T animal_genetics.genes

execute if score MotherCrossover animal_genetics.genes matches 28.. run scoreboard players operation T animal_genetics.genes = FM28 animal_genetics.genes
execute if score MotherCrossover animal_genetics.genes matches 28.. run scoreboard players operation FM28 animal_genetics.genes = FF28 animal_genetics.genes
execute if score MotherCrossover animal_genetics.genes matches 28.. run scoreboard players operation FF28 animal_genetics.genes = T animal_genetics.genes

execute if score MotherCrossover animal_genetics.genes matches 29.. run scoreboard players operation T animal_genetics.genes = FM29 animal_genetics.genes
execute if score MotherCrossover animal_genetics.genes matches 29.. run scoreboard players operation FM29 animal_genetics.genes = FF29 animal_genetics.genes
execute if score MotherCrossover animal_genetics.genes matches 29.. run scoreboard players operation FF29 animal_genetics.genes = T animal_genetics.genes

execute if score MotherCrossover animal_genetics.genes matches 30.. run scoreboard players operation T animal_genetics.genes = FM30 animal_genetics.genes
execute if score MotherCrossover animal_genetics.genes matches 30.. run scoreboard players operation FM30 animal_genetics.genes = FF30 animal_genetics.genes
execute if score MotherCrossover animal_genetics.genes matches 30.. run scoreboard players operation FF30 animal_genetics.genes = T animal_genetics.genes

execute if score MotherCrossover animal_genetics.genes matches 31.. run scoreboard players operation T animal_genetics.genes = FM31 animal_genetics.genes
execute if score MotherCrossover animal_genetics.genes matches 31.. run scoreboard players operation FM31 animal_genetics.genes = FF31 animal_genetics.genes
execute if score MotherCrossover animal_genetics.genes matches 31.. run scoreboard players operation FF31 animal_genetics.genes = T animal_genetics.genes

#-tellraw @a ["",{"text":"\nFM AfterCross Geneom: \n"},{"score":{"name":"FM1","objective":"animal_genetics.genes"}},{"score":{"name":"FM2","objective":"animal_genetics.genes"}},{"score":{"name":"FM3","objective":"animal_genetics.genes"}},{"score":{"name":"FM4","objective":"animal_genetics.genes"}},{"score":{"name":"FM5","objective":"animal_genetics.genes"}},{"score":{"name":"FM6","objective":"animal_genetics.genes"}},{"score":{"name":"FM7","objective":"animal_genetics.genes"}},{"score":{"name":"FM8","objective":"animal_genetics.genes"}},{"score":{"name":"FM9","objective":"animal_genetics.genes"}},{"score":{"name":"FM10","objective":"animal_genetics.genes"}},{"score":{"name":"FM11","objective":"animal_genetics.genes"}},{"score":{"name":"FM12","objective":"animal_genetics.genes"}},{"score":{"name":"FM13","objective":"animal_genetics.genes"}},{"score":{"name":"FM14","objective":"animal_genetics.genes"}},{"score":{"name":"FM15","objective":"animal_genetics.genes"}},{"score":{"name":"FM16","objective":"animal_genetics.genes"}},{"score":{"name":"FM17","objective":"animal_genetics.genes"}},{"score":{"name":"FM18","objective":"animal_genetics.genes"}},{"score":{"name":"FM19","objective":"animal_genetics.genes"}},{"score":{"name":"FM20","objective":"animal_genetics.genes"}},{"score":{"name":"FM21","objective":"animal_genetics.genes"}},{"score":{"name":"FM22","objective":"animal_genetics.genes"}},{"score":{"name":"FM23","objective":"animal_genetics.genes"}},{"score":{"name":"FM24","objective":"animal_genetics.genes"}},{"score":{"name":"FM25","objective":"animal_genetics.genes"}},{"score":{"name":"FM26","objective":"animal_genetics.genes"}},{"text":"-"},{"score":{"name":"FM27","objective":"animal_genetics.genes"}},{"score":{"name":"FM28","objective":"animal_genetics.genes"}},{"score":{"name":"FM29","objective":"animal_genetics.genes"}},{"score":{"name":"FM30","objective":"animal_genetics.genes"}},{"score":{"name":"FM31","objective":"animal_genetics.genes"}}]
#-tellraw @a ["",{"text":"FF AfterCross Geneom: \n"},{"score":{"name":"FF1","objective":"animal_genetics.genes"}},{"score":{"name":"FF2","objective":"animal_genetics.genes"}},{"score":{"name":"FF3","objective":"animal_genetics.genes"}},{"score":{"name":"FF4","objective":"animal_genetics.genes"}},{"score":{"name":"FF5","objective":"animal_genetics.genes"}},{"score":{"name":"FF6","objective":"animal_genetics.genes"}},{"score":{"name":"FF7","objective":"animal_genetics.genes"}},{"score":{"name":"FF8","objective":"animal_genetics.genes"}},{"score":{"name":"FF9","objective":"animal_genetics.genes"}},{"score":{"name":"FF10","objective":"animal_genetics.genes"}},{"score":{"name":"FF11","objective":"animal_genetics.genes"}},{"score":{"name":"FF12","objective":"animal_genetics.genes"}},{"score":{"name":"FF13","objective":"animal_genetics.genes"}},{"score":{"name":"FF14","objective":"animal_genetics.genes"}},{"score":{"name":"FF15","objective":"animal_genetics.genes"}},{"score":{"name":"FF16","objective":"animal_genetics.genes"}},{"score":{"name":"FF17","objective":"animal_genetics.genes"}},{"score":{"name":"FF18","objective":"animal_genetics.genes"}},{"score":{"name":"FF19","objective":"animal_genetics.genes"}},{"score":{"name":"FF20","objective":"animal_genetics.genes"}},{"score":{"name":"FF21","objective":"animal_genetics.genes"}},{"score":{"name":"FF22","objective":"animal_genetics.genes"}},{"score":{"name":"FF23","objective":"animal_genetics.genes"}},{"score":{"name":"FF24","objective":"animal_genetics.genes"}},{"score":{"name":"FF25","objective":"animal_genetics.genes"}},{"score":{"name":"FF26","objective":"animal_genetics.genes"}},{"text":"-"},{"score":{"name":"FF27","objective":"animal_genetics.genes"}},{"score":{"name":"FF28","objective":"animal_genetics.genes"}},{"score":{"name":"FF29","objective":"animal_genetics.genes"}},{"score":{"name":"FF30","objective":"animal_genetics.genes"}},{"score":{"name":"FF31","objective":"animal_genetics.genes"}}]


## Chouce 1 random line from each parent.
#(F)AB, (M)BA
function animal_genetics:cal/randomizer/run
execute if score Rand animal_genetics.genes matches 0 run scoreboard players operation #M1 animal_genetics.genes = MM1 animal_genetics.genes
execute if score Rand animal_genetics.genes matches 0 run scoreboard players operation #M2 animal_genetics.genes = MM2 animal_genetics.genes
execute if score Rand animal_genetics.genes matches 0 run scoreboard players operation #M3 animal_genetics.genes = MM3 animal_genetics.genes
execute if score Rand animal_genetics.genes matches 0 run scoreboard players operation #M4 animal_genetics.genes = MM4 animal_genetics.genes
execute if score Rand animal_genetics.genes matches 0 run scoreboard players operation #M5 animal_genetics.genes = MM5 animal_genetics.genes
execute if score Rand animal_genetics.genes matches 0 run scoreboard players operation #M6 animal_genetics.genes = MM6 animal_genetics.genes
execute if score Rand animal_genetics.genes matches 0 run scoreboard players operation #M7 animal_genetics.genes = MM7 animal_genetics.genes
execute if score Rand animal_genetics.genes matches 0 run scoreboard players operation #M8 animal_genetics.genes = MM8 animal_genetics.genes
execute if score Rand animal_genetics.genes matches 0 run scoreboard players operation #M9 animal_genetics.genes = MM9 animal_genetics.genes
execute if score Rand animal_genetics.genes matches 0 run scoreboard players operation #M10 animal_genetics.genes = MM10 animal_genetics.genes
execute if score Rand animal_genetics.genes matches 0 run scoreboard players operation #M11 animal_genetics.genes = MM11 animal_genetics.genes
execute if score Rand animal_genetics.genes matches 0 run scoreboard players operation #M12 animal_genetics.genes = MM12 animal_genetics.genes
execute if score Rand animal_genetics.genes matches 0 run scoreboard players operation #M13 animal_genetics.genes = MM13 animal_genetics.genes
execute if score Rand animal_genetics.genes matches 0 run scoreboard players operation #M14 animal_genetics.genes = MM14 animal_genetics.genes
execute if score Rand animal_genetics.genes matches 0 run scoreboard players operation #M15 animal_genetics.genes = MM15 animal_genetics.genes
execute if score Rand animal_genetics.genes matches 0 run scoreboard players operation #M16 animal_genetics.genes = MM16 animal_genetics.genes
execute if score Rand animal_genetics.genes matches 0 run scoreboard players operation #M17 animal_genetics.genes = MM17 animal_genetics.genes
execute if score Rand animal_genetics.genes matches 0 run scoreboard players operation #M18 animal_genetics.genes = MM18 animal_genetics.genes
execute if score Rand animal_genetics.genes matches 0 run scoreboard players operation #M19 animal_genetics.genes = MM19 animal_genetics.genes
execute if score Rand animal_genetics.genes matches 0 run scoreboard players operation #M20 animal_genetics.genes = MM20 animal_genetics.genes
execute if score Rand animal_genetics.genes matches 0 run scoreboard players operation #M21 animal_genetics.genes = MM21 animal_genetics.genes
execute if score Rand animal_genetics.genes matches 0 run scoreboard players operation #M22 animal_genetics.genes = MM22 animal_genetics.genes
execute if score Rand animal_genetics.genes matches 0 run scoreboard players operation #M23 animal_genetics.genes = MM23 animal_genetics.genes
execute if score Rand animal_genetics.genes matches 0 run scoreboard players operation #M24 animal_genetics.genes = MM24 animal_genetics.genes
execute if score Rand animal_genetics.genes matches 0 run scoreboard players operation #M25 animal_genetics.genes = MM25 animal_genetics.genes
execute if score Rand animal_genetics.genes matches 0 run scoreboard players operation #M26 animal_genetics.genes = MM26 animal_genetics.genes
execute if score Rand animal_genetics.genes matches 0 run scoreboard players operation #M27 animal_genetics.genes = MM27 animal_genetics.genes
execute if score Rand animal_genetics.genes matches 0 run scoreboard players operation #M28 animal_genetics.genes = MM28 animal_genetics.genes
execute if score Rand animal_genetics.genes matches 0 run scoreboard players operation #M29 animal_genetics.genes = MM29 animal_genetics.genes
execute if score Rand animal_genetics.genes matches 0 run scoreboard players operation #M30 animal_genetics.genes = MM30 animal_genetics.genes
execute if score Rand animal_genetics.genes matches 0 run scoreboard players operation #M31 animal_genetics.genes = MM31 animal_genetics.genes

execute if score Rand animal_genetics.genes matches 1 run scoreboard players operation #M1 animal_genetics.genes = MF1 animal_genetics.genes
execute if score Rand animal_genetics.genes matches 1 run scoreboard players operation #M2 animal_genetics.genes = MF2 animal_genetics.genes
execute if score Rand animal_genetics.genes matches 1 run scoreboard players operation #M3 animal_genetics.genes = MF3 animal_genetics.genes
execute if score Rand animal_genetics.genes matches 1 run scoreboard players operation #M4 animal_genetics.genes = MF4 animal_genetics.genes
execute if score Rand animal_genetics.genes matches 1 run scoreboard players operation #M5 animal_genetics.genes = MF5 animal_genetics.genes
execute if score Rand animal_genetics.genes matches 1 run scoreboard players operation #M6 animal_genetics.genes = MF6 animal_genetics.genes
execute if score Rand animal_genetics.genes matches 1 run scoreboard players operation #M7 animal_genetics.genes = MF7 animal_genetics.genes
execute if score Rand animal_genetics.genes matches 1 run scoreboard players operation #M8 animal_genetics.genes = MF8 animal_genetics.genes
execute if score Rand animal_genetics.genes matches 1 run scoreboard players operation #M9 animal_genetics.genes = MF9 animal_genetics.genes
execute if score Rand animal_genetics.genes matches 1 run scoreboard players operation #M10 animal_genetics.genes = MF10 animal_genetics.genes
execute if score Rand animal_genetics.genes matches 1 run scoreboard players operation #M11 animal_genetics.genes = MF11 animal_genetics.genes
execute if score Rand animal_genetics.genes matches 1 run scoreboard players operation #M12 animal_genetics.genes = MF12 animal_genetics.genes
execute if score Rand animal_genetics.genes matches 1 run scoreboard players operation #M13 animal_genetics.genes = MF13 animal_genetics.genes
execute if score Rand animal_genetics.genes matches 1 run scoreboard players operation #M14 animal_genetics.genes = MF14 animal_genetics.genes
execute if score Rand animal_genetics.genes matches 1 run scoreboard players operation #M15 animal_genetics.genes = MF15 animal_genetics.genes
execute if score Rand animal_genetics.genes matches 1 run scoreboard players operation #M16 animal_genetics.genes = MF16 animal_genetics.genes
execute if score Rand animal_genetics.genes matches 1 run scoreboard players operation #M17 animal_genetics.genes = MF17 animal_genetics.genes
execute if score Rand animal_genetics.genes matches 1 run scoreboard players operation #M18 animal_genetics.genes = MF18 animal_genetics.genes
execute if score Rand animal_genetics.genes matches 1 run scoreboard players operation #M19 animal_genetics.genes = MF19 animal_genetics.genes
execute if score Rand animal_genetics.genes matches 1 run scoreboard players operation #M20 animal_genetics.genes = MF20 animal_genetics.genes
execute if score Rand animal_genetics.genes matches 1 run scoreboard players operation #M21 animal_genetics.genes = MF21 animal_genetics.genes
execute if score Rand animal_genetics.genes matches 1 run scoreboard players operation #M22 animal_genetics.genes = MF22 animal_genetics.genes
execute if score Rand animal_genetics.genes matches 1 run scoreboard players operation #M23 animal_genetics.genes = MF23 animal_genetics.genes
execute if score Rand animal_genetics.genes matches 1 run scoreboard players operation #M24 animal_genetics.genes = MF24 animal_genetics.genes
execute if score Rand animal_genetics.genes matches 1 run scoreboard players operation #M25 animal_genetics.genes = MF25 animal_genetics.genes
execute if score Rand animal_genetics.genes matches 1 run scoreboard players operation #M26 animal_genetics.genes = MF26 animal_genetics.genes
execute if score Rand animal_genetics.genes matches 1 run scoreboard players operation #M27 animal_genetics.genes = MF27 animal_genetics.genes
execute if score Rand animal_genetics.genes matches 1 run scoreboard players operation #M28 animal_genetics.genes = MF28 animal_genetics.genes
execute if score Rand animal_genetics.genes matches 1 run scoreboard players operation #M29 animal_genetics.genes = MF29 animal_genetics.genes
execute if score Rand animal_genetics.genes matches 1 run scoreboard players operation #M30 animal_genetics.genes = MF30 animal_genetics.genes
execute if score Rand animal_genetics.genes matches 1 run scoreboard players operation #M31 animal_genetics.genes = MF31 animal_genetics.genes

#-execute if score Rand animal_genetics.genes matches 0 run tellraw @a ["",{"text":"\n---\nMM Geneom for Child Male Genom\n"},{"score":{"name":"#M1","objective":"animal_genetics.genes"}},{"score":{"name":"#M2","objective":"animal_genetics.genes"}},{"score":{"name":"#M3","objective":"animal_genetics.genes"}},{"score":{"name":"#M4","objective":"animal_genetics.genes"}},{"score":{"name":"#M5","objective":"animal_genetics.genes"}},{"score":{"name":"#M6","objective":"animal_genetics.genes"}},{"score":{"name":"#M7","objective":"animal_genetics.genes"}},{"score":{"name":"#M8","objective":"animal_genetics.genes"}},{"score":{"name":"#M9","objective":"animal_genetics.genes"}},{"score":{"name":"#M10","objective":"animal_genetics.genes"}},{"score":{"name":"#M11","objective":"animal_genetics.genes"}},{"score":{"name":"#M12","objective":"animal_genetics.genes"}},{"score":{"name":"#M13","objective":"animal_genetics.genes"}},{"score":{"name":"#M14","objective":"animal_genetics.genes"}},{"score":{"name":"#M15","objective":"animal_genetics.genes"}},{"score":{"name":"#M16","objective":"animal_genetics.genes"}},{"score":{"name":"#M17","objective":"animal_genetics.genes"}},{"score":{"name":"#M18","objective":"animal_genetics.genes"}},{"score":{"name":"#M19","objective":"animal_genetics.genes"}},{"score":{"name":"#M20","objective":"animal_genetics.genes"}},{"score":{"name":"#M21","objective":"animal_genetics.genes"}},{"score":{"name":"#M22","objective":"animal_genetics.genes"}},{"score":{"name":"#M23","objective":"animal_genetics.genes"}},{"score":{"name":"#M24","objective":"animal_genetics.genes"}},{"score":{"name":"#M25","objective":"animal_genetics.genes"}},{"score":{"name":"#M26","objective":"animal_genetics.genes"}},{"text":"-"},{"score":{"name":"#M27","objective":"animal_genetics.genes"}},{"score":{"name":"#M28","objective":"animal_genetics.genes"}},{"score":{"name":"#M29","objective":"animal_genetics.genes"}},{"score":{"name":"#M30","objective":"animal_genetics.genes"}},{"score":{"name":"#M31","objective":"animal_genetics.genes"}}]
#-execute if score Rand animal_genetics.genes matches 1 run tellraw @a ["",{"text":"\n---\nMF Geneom for Child Male Genom\n"},{"score":{"name":"#M1","objective":"animal_genetics.genes"}},{"score":{"name":"#M2","objective":"animal_genetics.genes"}},{"score":{"name":"#M3","objective":"animal_genetics.genes"}},{"score":{"name":"#M4","objective":"animal_genetics.genes"}},{"score":{"name":"#M5","objective":"animal_genetics.genes"}},{"score":{"name":"#M6","objective":"animal_genetics.genes"}},{"score":{"name":"#M7","objective":"animal_genetics.genes"}},{"score":{"name":"#M8","objective":"animal_genetics.genes"}},{"score":{"name":"#M9","objective":"animal_genetics.genes"}},{"score":{"name":"#M10","objective":"animal_genetics.genes"}},{"score":{"name":"#M11","objective":"animal_genetics.genes"}},{"score":{"name":"#M12","objective":"animal_genetics.genes"}},{"score":{"name":"#M13","objective":"animal_genetics.genes"}},{"score":{"name":"#M14","objective":"animal_genetics.genes"}},{"score":{"name":"#M15","objective":"animal_genetics.genes"}},{"score":{"name":"#M16","objective":"animal_genetics.genes"}},{"score":{"name":"#M17","objective":"animal_genetics.genes"}},{"score":{"name":"#M18","objective":"animal_genetics.genes"}},{"score":{"name":"#M19","objective":"animal_genetics.genes"}},{"score":{"name":"#M20","objective":"animal_genetics.genes"}},{"score":{"name":"#M21","objective":"animal_genetics.genes"}},{"score":{"name":"#M22","objective":"animal_genetics.genes"}},{"score":{"name":"#M23","objective":"animal_genetics.genes"}},{"score":{"name":"#M24","objective":"animal_genetics.genes"}},{"score":{"name":"#M25","objective":"animal_genetics.genes"}},{"score":{"name":"#M26","objective":"animal_genetics.genes"}},{"text":"-"},{"score":{"name":"#M27","objective":"animal_genetics.genes"}},{"score":{"name":"#M28","objective":"animal_genetics.genes"}},{"score":{"name":"#M29","objective":"animal_genetics.genes"}},{"score":{"name":"#M30","objective":"animal_genetics.genes"}},{"score":{"name":"#M31","objective":"animal_genetics.genes"}}]

function animal_genetics:cal/randomizer/run
execute if score Rand animal_genetics.genes matches 0 run scoreboard players operation #F1 animal_genetics.genes = FM1 animal_genetics.genes
execute if score Rand animal_genetics.genes matches 0 run scoreboard players operation #F2 animal_genetics.genes = FM2 animal_genetics.genes
execute if score Rand animal_genetics.genes matches 0 run scoreboard players operation #F3 animal_genetics.genes = FM3 animal_genetics.genes
execute if score Rand animal_genetics.genes matches 0 run scoreboard players operation #F4 animal_genetics.genes = FM4 animal_genetics.genes
execute if score Rand animal_genetics.genes matches 0 run scoreboard players operation #F5 animal_genetics.genes = FM5 animal_genetics.genes
execute if score Rand animal_genetics.genes matches 0 run scoreboard players operation #F6 animal_genetics.genes = FM6 animal_genetics.genes
execute if score Rand animal_genetics.genes matches 0 run scoreboard players operation #F7 animal_genetics.genes = FM7 animal_genetics.genes
execute if score Rand animal_genetics.genes matches 0 run scoreboard players operation #F8 animal_genetics.genes = FM8 animal_genetics.genes
execute if score Rand animal_genetics.genes matches 0 run scoreboard players operation #F9 animal_genetics.genes = FM9 animal_genetics.genes
execute if score Rand animal_genetics.genes matches 0 run scoreboard players operation #F10 animal_genetics.genes = FM10 animal_genetics.genes
execute if score Rand animal_genetics.genes matches 0 run scoreboard players operation #F11 animal_genetics.genes = FM11 animal_genetics.genes
execute if score Rand animal_genetics.genes matches 0 run scoreboard players operation #F12 animal_genetics.genes = FM12 animal_genetics.genes
execute if score Rand animal_genetics.genes matches 0 run scoreboard players operation #F13 animal_genetics.genes = FM13 animal_genetics.genes
execute if score Rand animal_genetics.genes matches 0 run scoreboard players operation #F14 animal_genetics.genes = FM14 animal_genetics.genes
execute if score Rand animal_genetics.genes matches 0 run scoreboard players operation #F15 animal_genetics.genes = FM15 animal_genetics.genes
execute if score Rand animal_genetics.genes matches 0 run scoreboard players operation #F16 animal_genetics.genes = FM16 animal_genetics.genes
execute if score Rand animal_genetics.genes matches 0 run scoreboard players operation #F17 animal_genetics.genes = FM17 animal_genetics.genes
execute if score Rand animal_genetics.genes matches 0 run scoreboard players operation #F18 animal_genetics.genes = FM18 animal_genetics.genes
execute if score Rand animal_genetics.genes matches 0 run scoreboard players operation #F19 animal_genetics.genes = FM19 animal_genetics.genes
execute if score Rand animal_genetics.genes matches 0 run scoreboard players operation #F20 animal_genetics.genes = FM20 animal_genetics.genes
execute if score Rand animal_genetics.genes matches 0 run scoreboard players operation #F21 animal_genetics.genes = FM21 animal_genetics.genes
execute if score Rand animal_genetics.genes matches 0 run scoreboard players operation #F22 animal_genetics.genes = FM22 animal_genetics.genes
execute if score Rand animal_genetics.genes matches 0 run scoreboard players operation #F23 animal_genetics.genes = FM23 animal_genetics.genes
execute if score Rand animal_genetics.genes matches 0 run scoreboard players operation #F24 animal_genetics.genes = FM24 animal_genetics.genes
execute if score Rand animal_genetics.genes matches 0 run scoreboard players operation #F25 animal_genetics.genes = FM25 animal_genetics.genes
execute if score Rand animal_genetics.genes matches 0 run scoreboard players operation #F26 animal_genetics.genes = FM26 animal_genetics.genes
execute if score Rand animal_genetics.genes matches 0 run scoreboard players operation #F27 animal_genetics.genes = FM27 animal_genetics.genes
execute if score Rand animal_genetics.genes matches 0 run scoreboard players operation #F28 animal_genetics.genes = FM28 animal_genetics.genes
execute if score Rand animal_genetics.genes matches 0 run scoreboard players operation #F29 animal_genetics.genes = FM29 animal_genetics.genes
execute if score Rand animal_genetics.genes matches 0 run scoreboard players operation #F30 animal_genetics.genes = FM30 animal_genetics.genes
execute if score Rand animal_genetics.genes matches 0 run scoreboard players operation #F31 animal_genetics.genes = FM31 animal_genetics.genes

execute if score Rand animal_genetics.genes matches 1 run scoreboard players operation #F1 animal_genetics.genes = FF1 animal_genetics.genes
execute if score Rand animal_genetics.genes matches 1 run scoreboard players operation #F2 animal_genetics.genes = FF2 animal_genetics.genes
execute if score Rand animal_genetics.genes matches 1 run scoreboard players operation #F3 animal_genetics.genes = FF3 animal_genetics.genes
execute if score Rand animal_genetics.genes matches 1 run scoreboard players operation #F4 animal_genetics.genes = FF4 animal_genetics.genes
execute if score Rand animal_genetics.genes matches 1 run scoreboard players operation #F5 animal_genetics.genes = FF5 animal_genetics.genes
execute if score Rand animal_genetics.genes matches 1 run scoreboard players operation #F6 animal_genetics.genes = FF6 animal_genetics.genes
execute if score Rand animal_genetics.genes matches 1 run scoreboard players operation #F7 animal_genetics.genes = FF7 animal_genetics.genes
execute if score Rand animal_genetics.genes matches 1 run scoreboard players operation #F8 animal_genetics.genes = FF8 animal_genetics.genes
execute if score Rand animal_genetics.genes matches 1 run scoreboard players operation #F9 animal_genetics.genes = FF9 animal_genetics.genes
execute if score Rand animal_genetics.genes matches 1 run scoreboard players operation #F10 animal_genetics.genes = FF10 animal_genetics.genes
execute if score Rand animal_genetics.genes matches 1 run scoreboard players operation #F11 animal_genetics.genes = FF11 animal_genetics.genes
execute if score Rand animal_genetics.genes matches 1 run scoreboard players operation #F12 animal_genetics.genes = FF12 animal_genetics.genes
execute if score Rand animal_genetics.genes matches 1 run scoreboard players operation #F13 animal_genetics.genes = FF13 animal_genetics.genes
execute if score Rand animal_genetics.genes matches 1 run scoreboard players operation #F14 animal_genetics.genes = FF14 animal_genetics.genes
execute if score Rand animal_genetics.genes matches 1 run scoreboard players operation #F15 animal_genetics.genes = FF15 animal_genetics.genes
execute if score Rand animal_genetics.genes matches 1 run scoreboard players operation #F16 animal_genetics.genes = FF16 animal_genetics.genes
execute if score Rand animal_genetics.genes matches 1 run scoreboard players operation #F17 animal_genetics.genes = FF17 animal_genetics.genes
execute if score Rand animal_genetics.genes matches 1 run scoreboard players operation #F18 animal_genetics.genes = FF18 animal_genetics.genes
execute if score Rand animal_genetics.genes matches 1 run scoreboard players operation #F19 animal_genetics.genes = FF19 animal_genetics.genes
execute if score Rand animal_genetics.genes matches 1 run scoreboard players operation #F20 animal_genetics.genes = FF20 animal_genetics.genes
execute if score Rand animal_genetics.genes matches 1 run scoreboard players operation #F21 animal_genetics.genes = FF21 animal_genetics.genes
execute if score Rand animal_genetics.genes matches 1 run scoreboard players operation #F22 animal_genetics.genes = FF22 animal_genetics.genes
execute if score Rand animal_genetics.genes matches 1 run scoreboard players operation #F23 animal_genetics.genes = FF23 animal_genetics.genes
execute if score Rand animal_genetics.genes matches 1 run scoreboard players operation #F24 animal_genetics.genes = FF24 animal_genetics.genes
execute if score Rand animal_genetics.genes matches 1 run scoreboard players operation #F25 animal_genetics.genes = FF25 animal_genetics.genes
execute if score Rand animal_genetics.genes matches 1 run scoreboard players operation #F26 animal_genetics.genes = FF26 animal_genetics.genes
execute if score Rand animal_genetics.genes matches 1 run scoreboard players operation #F27 animal_genetics.genes = FF27 animal_genetics.genes
execute if score Rand animal_genetics.genes matches 1 run scoreboard players operation #F28 animal_genetics.genes = FF28 animal_genetics.genes
execute if score Rand animal_genetics.genes matches 1 run scoreboard players operation #F29 animal_genetics.genes = FF29 animal_genetics.genes
execute if score Rand animal_genetics.genes matches 1 run scoreboard players operation #F30 animal_genetics.genes = FF30 animal_genetics.genes
execute if score Rand animal_genetics.genes matches 1 run scoreboard players operation #F31 animal_genetics.genes = FF31 animal_genetics.genes

#-execute if score Rand animal_genetics.genes matches 0 run tellraw @a ["",{"text":"FM Geneom for Child Female Genom\n"},{"score":{"name":"#F1","objective":"animal_genetics.genes"}},{"score":{"name":"#F2","objective":"animal_genetics.genes"}},{"score":{"name":"#F3","objective":"animal_genetics.genes"}},{"score":{"name":"#F4","objective":"animal_genetics.genes"}},{"score":{"name":"#F5","objective":"animal_genetics.genes"}},{"score":{"name":"#F6","objective":"animal_genetics.genes"}},{"score":{"name":"#F7","objective":"animal_genetics.genes"}},{"score":{"name":"#F8","objective":"animal_genetics.genes"}},{"score":{"name":"#F9","objective":"animal_genetics.genes"}},{"score":{"name":"#F10","objective":"animal_genetics.genes"}},{"score":{"name":"#F11","objective":"animal_genetics.genes"}},{"score":{"name":"#F12","objective":"animal_genetics.genes"}},{"score":{"name":"#F13","objective":"animal_genetics.genes"}},{"score":{"name":"#F14","objective":"animal_genetics.genes"}},{"score":{"name":"#F15","objective":"animal_genetics.genes"}},{"score":{"name":"#F16","objective":"animal_genetics.genes"}},{"score":{"name":"#F17","objective":"animal_genetics.genes"}},{"score":{"name":"#F18","objective":"animal_genetics.genes"}},{"score":{"name":"#F19","objective":"animal_genetics.genes"}},{"score":{"name":"#F20","objective":"animal_genetics.genes"}},{"score":{"name":"#F21","objective":"animal_genetics.genes"}},{"score":{"name":"#F22","objective":"animal_genetics.genes"}},{"score":{"name":"#F23","objective":"animal_genetics.genes"}},{"score":{"name":"#F24","objective":"animal_genetics.genes"}},{"score":{"name":"#F25","objective":"animal_genetics.genes"}},{"score":{"name":"#F26","objective":"animal_genetics.genes"}},{"text":"-"},{"score":{"name":"#F27","objective":"animal_genetics.genes"}},{"score":{"name":"#F28","objective":"animal_genetics.genes"}},{"score":{"name":"#F29","objective":"animal_genetics.genes"}},{"score":{"name":"#F30","objective":"animal_genetics.genes"}},{"score":{"name":"#F31","objective":"animal_genetics.genes"}}]
#-execute if score Rand animal_genetics.genes matches 1 run tellraw @a ["",{"text":"FF Geneom for Child Female Genom\n"},{"score":{"name":"#F1","objective":"animal_genetics.genes"}},{"score":{"name":"#F2","objective":"animal_genetics.genes"}},{"score":{"name":"#F3","objective":"animal_genetics.genes"}},{"score":{"name":"#F4","objective":"animal_genetics.genes"}},{"score":{"name":"#F5","objective":"animal_genetics.genes"}},{"score":{"name":"#F6","objective":"animal_genetics.genes"}},{"score":{"name":"#F7","objective":"animal_genetics.genes"}},{"score":{"name":"#F8","objective":"animal_genetics.genes"}},{"score":{"name":"#F9","objective":"animal_genetics.genes"}},{"score":{"name":"#F10","objective":"animal_genetics.genes"}},{"score":{"name":"#F11","objective":"animal_genetics.genes"}},{"score":{"name":"#F12","objective":"animal_genetics.genes"}},{"score":{"name":"#F13","objective":"animal_genetics.genes"}},{"score":{"name":"#F14","objective":"animal_genetics.genes"}},{"score":{"name":"#F15","objective":"animal_genetics.genes"}},{"score":{"name":"#F16","objective":"animal_genetics.genes"}},{"score":{"name":"#F17","objective":"animal_genetics.genes"}},{"score":{"name":"#F18","objective":"animal_genetics.genes"}},{"score":{"name":"#F19","objective":"animal_genetics.genes"}},{"score":{"name":"#F20","objective":"animal_genetics.genes"}},{"score":{"name":"#F21","objective":"animal_genetics.genes"}},{"score":{"name":"#F22","objective":"animal_genetics.genes"}},{"score":{"name":"#F23","objective":"animal_genetics.genes"}},{"score":{"name":"#F24","objective":"animal_genetics.genes"}},{"score":{"name":"#F25","objective":"animal_genetics.genes"}},{"score":{"name":"#F26","objective":"animal_genetics.genes"}},{"text":"-"},{"score":{"name":"#F27","objective":"animal_genetics.genes"}},{"score":{"name":"#F28","objective":"animal_genetics.genes"}},{"score":{"name":"#F29","objective":"animal_genetics.genes"}},{"score":{"name":"#F30","objective":"animal_genetics.genes"}},{"score":{"name":"#F31","objective":"animal_genetics.genes"}}]

## Do Mutations
# Randomly chouce to swap N values within a random line

scoreboard players set MutationCount animal_genetics.genes 5
#-tellraw @a ["",{"text":"\n---\nBegining Mutations:"}]
function animal_genetics:cal/genetics/make_child_mutation

# function run test
execute if score #TestStart function_run_count matches 0.. run scoreboard players add animal_genetics:cal/genetics/make_child function_run_count 1
